@import url('https://fonts.googleapis.com/css?family=Assistant|Roboto:300,400,500,700,900&display=swap');

@import './fontawesome/all.min.css';
// @import './fontawesome/solid.min.css';
// @import './fontawesome/fontawesome.css';
@import './fontawesome/v4-shims.min.css';
@import './custom-font-awesome';

@import '~bootstrap/scss/bootstrap.scss';
@import './variable';
@import './mixins';
@import './Buttons.scss';
@import './Analytics.scss';
@import './common.scss';

// sidebarColor(pin):"#52527c"
// sidebarWideMenuColor(pin):"#c2c2e1"
// primaryBtnColor(pin):"#db081c"
// secondaryBtnColor(pin):"#9090b1"
// companyLogo(pin):"https://panel.socialpilot.co/themes/socialpost/assets/img/logo_individuals.png"
// iconSpriteImg(pin):"https://awsstage-test.s3.amazonaws.com/00zo8bogxhmacuh.png"

:root {
  --colorPrimary: #0f67ea; /* from db */
  --primaryBtnHover: #0d5acc;
  --primaryBtnFocus: #0c51b8;
  --colorSecondary: #4d6180; /* from db */
  --secoundaryBtnHover: #d2d6db;
  --secoundaryBtn: #475466;
  --boxBackground: #f3f3f3;
  --btnLightBlue: #71d2f4;
  --btnSecondary: #e1e5eb;
  --colorOrange: #f77e43;
  --robotFont: 'Roboto', sans-serif;
  --linkColor: #0f67ea;
  --dangerFont: #ec2323;
  --sideBarColor: #edf2fa; /* from db */
  --sideBarWrapper: #484848; /* from db */
  --stripeImage: url('../assets/spirite.png');
  --stripeSideMenuIconImage: url('../assets/spirite_sidemenu.png');
}

.alert-success {
  background: $successBkg;
  border: none;
}
.alert-danger {
  background: $dangerBkg;
  border: none;
}
.alert-warning {
  background: $warningBkg;
  border: none;
}
.alert-info {
  background: $infoBkg;
  border: none;
}
.btn-success {
  background: $successBkg;
  border-color: $successBkg;
  color: inherit;
}
.btn-danger {
  background: $dangerFont;
  border-color: $dangerFont;
  color: #fff;
}
.btn-warning {
  background: $warningBkg;
  border-color: $warningBkg;
}
.btn-info {
  background: $infoBkg;
  border-color: $infoBkg;
}
$grid-gutter-small: 7.5px;
.row-small-gutter > * {
  padding-left: $grid-gutter-small;
  padding-right: $grid-gutter-small;
}

.bg-secondary {
  background-color: var(--btnSecondary) !important;
}
::placeholder {
  color: #cccdcd;
}
a:not([href]) {
  // color: $colorPrimary !important;
  cursor: pointer;
}
h1,
.h1 {
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  color: #444444;
  margin: 10px 0 10px 0px;
  text-transform: capitalize;
}
h2,
.h2,
h3,
.h3,
.h4,
h4,
.h5,
h5,
h6,
.h6 {
  margin: 10px 0 10px 0px;
}
h1,
.h1 {
  font-size: $fontSize;
  font-weight: 700;
  font-family: 'Assistant', 'Roboto';
  letter-spacing: 1.33px;
  text-transform: capitalize;
}
h2,
.h2 {
  font-size: 18px;
  font-weight: 700;
  font-family: 'Assistant', 'Roboto';
  letter-spacing: 1px;
}
h3,
.h3 {
  font-size: 18px;
  font-weight: 400;
  letter-spacing: 0.89px;
}
h4,
.h4 {
  font-size: 16px;
  font-weight: 400;
  letter-spacing: 0.78px;
}
h5,
.h5 {
  font-size: 14px;
  font-weight: 400;
  letter-spacing: 0.67px;
}
h6,
.h6 {
  font-size: 12px;
  font-weight: 500;
  letter-spacing: 0.67px;
}
.was-validated .form-control:invalid,
.form-control.is-invalid {
  border-color: $dangerFont !important;
  box-shadow: none !important;
  background: none;
  padding: 8px;
}

.form-control:disabled,
.form-control[readonly] {
  background: none;
  border: 1px solid $borderColor;
  opacity: 0.4;
}

.table .border,
.tableborder {
  border: 1px solid $tableBorder !important;
}
.table .border-top,
.tableborder-top {
  border-top: 1px solid $tableBorder !important;
}
.table .border-bottom,
.tableborder-bottom {
  border-bottom: 1px solid $tableBorder !important;
}

.table .border-right,
.tableborder-right {
  border-right: 1px solid $tableBorder !important;
}

.table .border-left,
.tableborder-left {
  border-left: 1px solid $tableBorder !important;
}

.border {
  border: 1px solid $borderColor !important;
}
.border-right {
  border-right: 1px solid $borderColor !important;
}
.border-left {
  border-left: 1px solid $borderColor !important;
}
.border-top {
  border-top: 1px solid $borderColor !important;
}
.border-bottom {
  border-bottom: 1px solid $borderColor !important;
}
.border.border-none,
.border-none {
  border: none !important;
}
.mb-2 {
  margin-bottom: 16px !important;
}
.mt-2 {
  margin-top: 16px !important;
}

textarea {
  resize: none;
}

.form-control {
  box-shadow: none;
  border-radius: $borderRadius;
  font-size: 14px;
  padding: 8px;
  height: 32px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  background: #fff;
  border: 1px solid $borderColor;
}
input[type='text'] {
  font-size: 14px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  letter-spacing: 0px;
  color: #475466;
}
:focus {
  outline: none;
  box-shadow: none;
}
button:focus {
  outline: none;
}
.img-thumbnail {
  border: none;
  background: none;
  border-radius: 0;
  padding: 0;
}
.row-full {
  width: 100vw;
  margin-left: calc(-50vw + 50% - 50px);
  position: relative;
}
.control-label {
  margin-right: 8px;
}
.custom-control-label {
  word-break: break-all;
}
.custom-control {
  min-height: 16px;
  line-height: 16px;
}
.custom-checkbox .custom-control-label::before {
  border-radius: 3.2px;
}
.custom-control-input {
  width: 16px;
  height: 16px;
  z-index: 0;
}
.custom-control-label::before,
.custom-control-label::after {
  border-color: #7a8699;
  border-radius: 3.2px;
  top: 0;
  height: 16px;
  width: 16px;
}
.custom-control-input:checked ~ .custom-control-label::before {
  background-color: #7a8699;
  border-color: #7a8699;
}
.custom-control.disabled .custom-control-label::before {
  opacity: 0.4;
}
.custom-radio .custom-control-input:checked ~ .custom-control-label::before {
  background-color: #fff;
}

.custom-radio .custom-control-input:checked ~ .custom-control-label::after {
  background: #7a8699;
  width: 10px;
  height: 10px;
  border-radius: 100px;
  left: -21px;
  top: 3px;
}
.custom-checkbox .custom-control-input:checked ~ .custom-control-label:after {
  background: none;
  width: 5px;
  height: 10px;
  transform: rotate(45deg);
  border: solid #fff;
  border-width: 0 2px 2px 0;
  left: -18px;
  top: 2px;
  border-radius: 0;
}
.custom-radio {
  vertical-align: middle;
}
.input-group-prepend .input-group-text {
  border-radius: 2px 0px 0px 2px;
  border-right: 0px;
}
.align-items-center .form-group {
  margin-bottom: 0px;
}
.custom-control.disabled
  .custom-control-input:checked
  ~ .custom-control.disabled
  .custom-control-label::before {
  opacity: 0.4;
}
.custom-radio
  .custom-control-input:disabled:checked
  ~ .custom-control-label::before {
  background-color: #fff;
  border-color: #7a8699;
}
.custom-control-input:disabled ~ .custom-control-label::before {
  opacity: 0.4;
}
.custom-control-input:disabled ~ .custom-control-label {
  color: #4d6180;
  opacity: 0.4;
}
.custom-control-input:not(:disabled):active ~ .custom-control-label::before {
  background-color: #7a8699;
  border-color: #7a8699;
}

.invalid-feedback {
  font-size: 12px;
  color: $dangerFont;
  margin: 0;
}
.budget-input {
  border-left: none;
}
.form-control:focus {
  border-color: #0f67ea;
  outline: 0;
  box-shadow: none;
}
.custom-control-input:focus ~ .custom-control-label::before {
  box-shadow: none !important;
  border-color: #7a8699 !important;
}
.table thead th {
  border-bottom: 1px solid $tableBorder;
  border-top: 1px solid $tableBorder;
  vertical-align: middle;
  background-color: #e1e5eb;
}

.container {
  @include container-style;
}
.container {
  padding-top: 40px;
  padding-bottom: 40px;
  max-width: 1220px;
}
.page-container {
  margin-left: 80px;
}
main {
  position: relative;
}

.table {
  background-color: #fff;
  border: 1px solid $tableBorder;
  color: var(--colorSecondary);
}
.navbar {
  padding: 15px 10px;
  border-bottom: 1px solid $borderColor;
  z-index: 200;
  background: #fff;
}
.navbar-paid {
  border-top: 4px solid var(--colorPrimary);
}

.table th {
  font-weight: 700;
  font-family: 'Roboto', sans-serif;
  background-color: #e1e5eb;
}
.table th,
.table td {
  padding: 12px 0px;
  vertical-align: middle;
  border-top: 1px solid $tableBorder;
  border-bottom: 1px solid $tableBorder;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
}

.table th:first-child,
.table td:first-child {
  padding-left: 16px;
  padding-right: 16px;
}
table tr {
  &:hover {
    background: #f3f4f7;
  }
}
.table td a {
  word-break: break-all;
}
label {
  margin-bottom: 5px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  display: inline-block;
}

.auto-height {
  height: auto !important;
}
.custom-checkbox
  .custom-control-input:disabled:checked
  ~ .custom-control-label::before {
  background-color: $borderColor;
  border-color: #cecedc;
}

.splitButton .dropdown-toggle::after {
  content: none;
}
.input-group-prepend.disabled .input-group-text {
  opacity: 0.4;
}
.input-group-text {
  border: solid 1px rgba(84, 106, 140, 0.5);
  padding: 0px 15px;
  font-size: 14px;
  background-color: #e1e5eb;
}
.is-invalid .input-group-text {
  color: #a94442;
  border-color: #e84545;
}
.modal-header {
  padding: 0px 15px;
}
.splitButton .dropdown-menu a {
  border: none;
  padding: 8px 16px 8px 16px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #4d6180;
  &:hover {
    background-color: #edf0f3 !important;
    color: var(--colorSecondary);
  }
  &:focus {
    background-color: #f8eaf5 !important;
  }
}
.padding-rotate-top {
  padding-top: 25%;
}
@media only screen and (max-width: 767px) {
  .page-container {
    margin-left: 0;
  }
  .bg-light {
    background: none !important;
    border: none;
  }
  .navbar-light .navbar-toggler {
    position: absolute;
    right: 20px;
    top: 18px;
    background: #fff;
  }
  .navbar-collapse {
    background: #fff;
    margin-top: 55px;
  }
  .info-buttons {
    margin-top: 15px;
  }
  .analytics_container {
    width: auto;
  }
  .row-full {
    width: auto;
    margin: 0;
    padding: 15px;
  }
  .analytics_container .page-container {
    margin: 0;
  }
}
@media only screen and (max-width: 1024px) and (min-width: 768px) {
  .page-container {
    margin-left: 0;
  }
  .container {
    max-width: 966px;
    margin: 0 auto;
  }
  .analytics_container {
    width: auto;
  }
  .row-full {
    width: auto;
    margin: 0;
    padding: 15px;
  }
  .analytics_container .page-container {
    margin: 0;
  }
  .row-full img {
    max-width: 100%;
  }
}
@media only screen and (max-width: 1439px) and (min-width: 1024px) {
  .page-container {
    margin-left: 80px;
  }
  // .analytics_container {
  //   max-width: 846px;
  //   margin: 0 auto;
  // }
  .btn {
    min-width: auto;
  }
}
@media only screen and (max-width: 1380px) and (min-width: 1279px) {
  .analytics_container {
    max-width: 1110px;
    margin: 0 auto;
  }
}
@media (min-width: 1194px) {
  .container {
    max-width: 996px;
  }
}
@media (min-width: 1366px) {
  .container {
    max-width: 1140px;
  }
}
@media (min-width: 1440px) {
  .container {
    max-width: 1200px;
  }
}
@media (min-width: 1536px) {
  .container {
    max-width: 1280px;
  }
}
@media (min-width: 1920px) {
  .container {
    max-width: 1470px;
  }
}
